# vtkGDCMPolyDataWriter Class Reference

`#include <vtkGDCMPolyDataWriter.h>`

List of all members.

## Public Member Functions

virtual void | PrintSelf (ostream &os, vtkIndent indent)
| vtkTypeRevisionMacro (vtkGDCMPolyDataWriter, vtkPolyDataWriter)

## Static Public Member Functions

static vtkGDCMPolyDataWriter * | New ()

## Protected Member Functions

| vtkGDCMPolyDataWriter ()
| ~vtkGDCMPolyDataWriter ()
void | WriteData ()
void | WriteRTSTRUCT (vtkPoints *pts, vtkCellArray *polys)

## Constructor & Destructor Documentation

vtkGDCMPolyDataWriter::vtkGDCMPolyDataWriter | ( |  | ) | `[protected]`

vtkGDCMPolyDataWriter::~vtkGDCMPolyDataWriter | ( |  | ) | `[protected]`

## Member Function Documentation

static vtkGDCMPolyDataWriter* vtkGDCMPolyDataWriter::New | ( |  | ) | `[static]`

virtual void vtkGDCMPolyDataWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  | `[virtual]`

vtkGDCMPolyDataWriter::vtkTypeRevisionMacro | ( | vtkGDCMPolyDataWriter | ,
|  | vtkPolyDataWriter |
| ) |  |

void vtkGDCMPolyDataWriter::WriteData | ( |  | ) | `[protected]`

void vtkGDCMPolyDataWriter::WriteRTSTRUCT | ( | vtkPoints * | pts,
|  | vtkCellArray * | polys
| ) |  | `[protected]`

The documentation for this class was generated from the following file:

- vtkGDCMPolyDataWriter.h